# Interface goog.events.ListenableKey

code »

An interface that describes a single registered listener.

Show:Public Protected Private

## Instance Properties

code »capture : `boolean`

Whether the listener works on capture phase.

code »handler : `Object`

The 'this' object for the listener function's scope.

code »key : `number`

A globally unique number to identify the key.

code »listener : `(function(?): ?|{handleEvent: function(?): ?}|null)`

The listener function.

code »src : `!(Object|goog.events.Listenable|goog.events.EventTarget)`

The source event target.

code »type : `string`

The event type the listener is listening to.

## Global Functions

code »goog.events.ListenableKey.reserveKey ( ) ⇒ `number`

Reserves a key to be used for ListenableKey#key field.

Returns

A number to be used to fill ListenableKey#key field.

## Global Properties

code »goog.events.ListenableKey.counter_ : `number`

Counter used to create a unique key